Open Babel: mol_graph.h File Reference

Classes | Namespaces | Functions

# mol_graph.h File Reference

`#include <boost/graph/graph_traits.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/property_map.hpp>`
`#include <boost/graph/visitors.hpp>`
`#include "openbabel/mol.h"`

Go to the source code of this file.

## Classes
struct | obmol_traversal_tag
struct | graph_traits< OpenBabel::OBMol >
class | graph_traits< OpenBabel::OBMol >::edge_descriptor
class | graph_traits< OpenBabel::OBMol >::adjacent_iterator
class | graph_traits< OpenBabel::OBMol >::out_edge_iterator
class | OBAtomMap< value >
class | OBBondMap< value >
struct | functor_caller< functor, Tag >
struct | recorder< output_iterator, Tag >
## Namespaces
namespace | boost
## Functions
std::pair< graph_traits < OpenBabel::OBMol > ::edge_iterator, graph_traits < OpenBabel::OBMol > ::edge_iterator > | edges (const OpenBabel::OBMol &m)
std::pair< graph_traits < OpenBabel::OBMol > ::vertex_iterator, graph_traits< OpenBabel::OBMol > ::vertex_iterator > | vertices (const OpenBabel::OBMol &m)
std::pair< graph_traits < OpenBabel::OBMol > ::adjacent_iterator, graph_traits< OpenBabel::OBMol > ::adjacent_iterator > | adjacent_vertices (graph_traits< OpenBabel::OBMol >::vertex_descriptor &v, const OpenBabel::OBMol &)
graph_traits< OpenBabel::OBMol > ::vertex_descriptor | source (graph_traits< OpenBabel::OBMol >::edge_descriptor &e, const OpenBabel::OBMol &)
graph_traits< OpenBabel::OBMol > ::vertex_descriptor | target (graph_traits< OpenBabel::OBMol >::edge_descriptor e, const OpenBabel::OBMol &)
std::pair< graph_traits < OpenBabel::OBMol > ::out_edge_iterator, graph_traits< OpenBabel::OBMol > ::out_edge_iterator > | out_edges (graph_traits< OpenBabel::OBMol >::vertex_descriptor v, const OpenBabel::OBMol &)
int | out_degree (graph_traits< OpenBabel::OBMol >::vertex_descriptor v, const OpenBabel::OBMol &)
int | num_vertices (const OpenBabel::OBMol &m)
int | num_edges (const OpenBabel::OBMol &m)
template<class map_t >
void | put (map_t &map, typename map_t::key_type key, typename map_t::value_type value)
template<class map_t >
map_t::value_type | get (map_t &map, typename map_t::key_type key)
template<class functor , class Tag >
functor_caller< functor, Tag > | call_functor (functor func, Tag)
template<class output_iterator , class Tag >
recorder< output_iterator, Tag > | record (output_iterator out, Tag)

## Function Documentation

void put | ( | map_t & | map,
|  | typename map_t::key_type | key,
|  | typename map_t::value_type | value
| ) |  |

map_t::value_type get | ( | map_t & | map,
|  | typename map_t::key_type | key
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines